Bug 664442 - osad: osad_client._check_signature: Signatures do not match
Summary: osad: osad_client._check_signature: Signatures do not match
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client
Version: 540
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Martin Korbel
URL:
Whiteboard:
Depends On:
Blocks: sat550-lowbug
TreeView+ depends on / blocked
 
Reported: 2010-12-20 13:00 UTC by Petr Sklenar
Modified: 2012-09-21 09:35 UTC (History)
6 users (show)

Fixed In Version: spacewalk-backend-1.3.56-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-21 09:35:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Sklenar 2010-12-20 13:00:11 UTC
Description of problem:
Osad stop working when client is registered for the second time 

Version-Release number of selected component (if applicable):
sat530 or sat540
this is not regression

How reproducible:
always

Steps to Reproduce:
1. register client into satellite
2. start osad, make sure it works, it create some log in auth info in /etc/sysconfig/rhn/osad-auth.conf
3. register again the same client into same satellite
4. restart osad or wait

Actual results:
osad is not working

2010-12-20 07:22:54 osad_client._check_signature: Signatures do not match 250d3751e67a9bd1714838487103aff38143bf26 264cbfff622762737a03513ad72d0116dc53ce38
2010-12-20 07:22:54 jabber_lib.main: Sleeping 107 seconds


Expected results:
/etc/init.d/osad restart should regenerated auth info by deleting osad-auth.conf.


Additional info:
osad takes auth info from /etc/sysconfig/rhn/osad-auth.conf
When I delete this file + osad restart then it starts working

Comment 1 Petr Sklenar 2010-12-20 14:09:33 UTC
or it could write some info message about removing/checking osad-auth.conf in log file

Comment 2 Ivan Makfinsky 2011-10-26 18:45:19 UTC
Indeed, we are seeing the same thing at another client site that is using RHN Satellite 5.4.1. Deleting the /etc/sysconfig/rhn/osad-auth.conf file worked.

Comment 3 Milan Zázrivec 2011-10-27 11:44:03 UTC
Problem has been addressed in Spacewalk in bug #590608

Comment 6 Clifford Perry 2012-09-21 09:35:20 UTC
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite


Note You need to log in before you can comment on or make changes to this bug.